org.keycloak.saml.common.exceptions.fed

## Class WSTrustException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - org.keycloak.saml.common.exceptions.fed.WSTrustException

- All Implemented Interfaces:
    Serializable

      public class WSTrustException
      extends GeneralSecurityException

  Exception used to convey that an error has happened when handling a WS-Trust request message.

  Author:
    Stefan Guilhen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WSTrustException(String message)` Creates an instance of `WSTrustException` using the specified error message.
    `WSTrustException(String message, Throwable cause)` Creates an instance of `WSTrustException` using the specified error message and cause.
    `WSTrustException(Throwable t)` Creates an instance of `WSTrustException` using the specified `Throwable`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WSTrustException

          public WSTrustException(String message)

      Creates an instance of `WSTrustException` using the specified error message.

      Parameters:
        `message` - the error message.

    - #### WSTrustException

          public WSTrustException(String message,
                                  Throwable cause)

      Creates an instance of `WSTrustException` using the specified error message and cause.

      Parameters:
        `message` - the error message.
        `cause` - a `Throwable` representing the cause of the error.

    - #### WSTrustException

          public WSTrustException(Throwable t)

      Creates an instance of `WSTrustException` using the specified `Throwable`.

      Parameters:
        `message` - the error message.

Copyright © 2021 JBoss by Red Hat. All rights reserved.